//----- The Atrium                             Miller 12/05/92

#include "colors.inc"
include "shapes.inc"
#include "shapes2.inc"
include "atrium.inc"
//#include "dumb.inc"  
#include "walk.inc"
#include "tree.inc"

max_trace_level 4

camera { location <25 13 -125> 
  direction <0 0 1.3> up <0 1 0> 
  right <1.333 0 0> look_at <-3 20 0>
 }
//-------light
object { light_source { <-70 920 -360> color White } }

//-------light
object { light_source { <-300 465 -700> color White } }

//-------light
object { light_source { <200 60 -200> color Gold } }


#declare GrassLand =
texture {
   color DarkGreen 
// image_map { <1 0 -1> gif "land2.gif" interpolate 4 }
   scale <170 1 170>
   translate <-85 0 -85>
   phong .2
   ambient .1
   diffuse .6
   .1
} 

//--- Sky
object {
  quadric { Sphere scale <3000 1000 3000> }
   texture {
    color CadetBlue 
//  image_map { 2 gif "sky1.gif" interpolate 4 }
    scale <3000 3000 3000>
    rotate <-60 0 0>
    rotate <0 -30 0>
    ambient .8
    diffuse 0
  }
}


//--- Grass
object {
  plane { <0 1 0> 0 }
    texture { GrassLand
    }
}

//--- Plant trees
composite {
 composite { Tree translate <36.6 0 -30.6> }
 composite { Tree translate <28 0 -30.6> }
 composite { Tree translate <-39 0 -51> }
 composite { Tree translate <-29 0 -51> }
 composite { Tree translate <-19 0 -51> }
 rotate <0 10 0>
}





